Zum Hauptinhalt springen
POST
/
openai
/
embeddings
Creates an embedding vector representing the input text.
curl --request POST \
  --url https://api.acedata.cloud/openai/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "text-embedding-3-small",
  "input": "<string>",
  "encoding_format": "float",
  "dimensions": 2
}
'
{ "object": "list", "data": [ { "object": "embedding", "index": 0, "embedding": [ 0.0023064255, -0.009327292, 0.015271, 0.001234 ] } ], "model": "text-embedding-3-small", "usage": { "prompt_tokens": 9, "total_tokens": 9 }, "created": 1714500000 }

Autorisierungen

Authorization
string
header
erforderlich

Header

accept
enum<string>

Specifies the format of the response from the server.

Verfügbare Optionen:
application/json

Body

application/json
model
enum<string>
erforderlich

ID of the embedding model to use (e.g., text-embedding-3-small, text-embedding-3-large).

Verfügbare Optionen:
text-embedding-3-small,
text-embedding-3-large,
text-embedding-ada-002
input
string
erforderlich

Input to embed: a single string, an array of strings, or token arrays.

encoding_format
enum<string>
Standard:float

Format of the returned embeddings.

Verfügbare Optionen:
float,
base64
dimensions
integer

Optional output embedding size when supported by the model.

Erforderlicher Bereich: x >= 1

Antwort

Embeddings created successfully.

object
enum<string>
erforderlich

Type of the returned object.

Verfügbare Optionen:
list
data
object[]
erforderlich
model
string
erforderlich

Model used to generate the embeddings.

usage
object
erforderlich
created
integer
erforderlich

Unix timestamp (seconds) when the embeddings were created.